Can't remove network interface or volume from compute profile
Description

Migrated from https://github.com/theforeman/foreman/issues/1233

Once more than one NIC or volume has been added to a compute profile, it cannot be removed.

Following is the form data submitted after trying to remove a 20G volume. The _delete is set to 1 so I guess the form data is correct.

However, if I get back on the compute profile form after the update, the 20G volume has not been deleted.

utf8:✓

_method:put

authenticity_token:xxxxxxxxxxxxxxxx

compute_attribute[vm_attrs][cpus]:1

compute_attribute[vm_attrs][memory]:805306368

compute_attribute[vm_attrs][nics_attributes][new_nics][type]:bridge

compute_attribute[vm_attrs][nics_attributes][new_nics][_delete]:

compute_attribute[vm_attrs][nics_attributes][new_nics][bridge]:br1

compute_attribute[vm_attrs][nics_attributes][new_nics][model]:virtio

compute_attribute[vm_attrs][nics_attributes][0][type]:bridge

compute_attribute[vm_attrs][nics_attributes][0][_delete]:

compute_attribute[vm_attrs][nics_attributes][0][bridge]:br1

compute_attribute[vm_attrs][nics_attributes][0][model]:virtio

compute_attribute[vm_attrs][volumes_attributes][new_volumes][pool_name]:default

compute_attribute[vm_attrs][volumes_attributes][new_volumes][capacity]:10G

compute_attribute[vm_attrs][volumes_attributes][new_volumes][allocation]:0G

compute_attribute[vm_attrs][volumes_attributes][new_volumes][format_type]:raw

compute_attribute[vm_attrs][volumes_attributes][new_volumes][_delete]:

compute_attribute[vm_attrs][volumes_attributes][0][pool_name]:default

compute_attribute[vm_attrs][volumes_attributes][0][capacity]:10G

compute_attribute[vm_attrs][volumes_attributes][0][allocation]:0G

compute_attribute[vm_attrs][volumes_attributes][0][format_type]:raw

compute_attribute[vm_attrs][volumes_attributes][0][_delete]:

compute_attribute[vm_attrs][volumes_attributes][1][pool_name]:default

compute_attribute[vm_attrs][volumes_attributes][1][capacity]:20G

compute_attribute[vm_attrs][volumes_attributes][1][allocation]:0G

compute_attribute[vm_attrs][volumes_attributes][1][format_type]:raw

compute_attribute[vm_attrs][volumes_attributes][1][_delete]:1

Related issues:

Related to Foreman - Feature #3178: add ability to apply a virtual hardware t... Closed 10/01/2013

Has duplicate Foreman - Bug #6100: Unable to delete interfaces and volumes fr... Duplicate 06/06/2014

Has duplicate Foreman - Bug #7804: Compute profile cannot edit and remove vol... Duplicate 10/03/2014

History

#1 - 02/13/2014 09:04 AM - Dominic Cleal

- Related to Feature #3178: add ability to apply a virtual hardware template at hostgroup level added
#2 - 06/06/2014 05:52 PM - Dominic Cleal

- Has duplicate Bug #6100: Unable to delete interfaces and volumes from compute profiles added

#3 - 07/07/2014 09:22 AM - Andy Taylor

I can replicate this bug on Foreman 1.5.1 - when I try to delete a volume, the form saves fine with no errors but the volume isn't actually deleted.

#4 - 10/03/2014 03:34 AM - Dominic Cleal

- Has duplicate Bug #7804: Compute profile cannot edit and remove volumes added
